Subject: Re: [eman] Barry Leiba's Discuss on draft-ietf-eman-applicability-statement-08: (with DISCUSS and COMMENT)

From: Benoit Claise <[email-masked]>
Date: Wed, 17 Dec 2014 10:56:49 +0100

[including the document authors, and the EMAN mailing list. An issue 
with the "send-notices-to" has been fixed in the tracker]

Regards, Benoit
> Barry Leiba has entered the following ballot position for
> draft-ietf-eman-applicability-statement-08: Discuss
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> http://datatracker.ietf.org/doc/draft-ietf-eman-applicability-statement/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> -- Section 9.2 --
> You have a bunch of references that lack citations to them, or for which
> the citations are incorrect. "[DASH]" is in the references, for example,
> but the citation is "[DSP0232]".  You have two references for DSP1027,
> and one incorrect citation for it.  The reference for
> [EMAN-MONITORING-MIB] has an incorrect document filename; the correct
> name is "draft-ietf-eman-energy-monitoring-mib".  There are more.  We
> should not be shoving it at the RFC Editor to fix these; please take care
> of this before the document is approved.
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Minor comments that I hope you'll please consider:
>
> -- Section 1.2 --
>
>          The EMAN working group charter called for producing a series of
>          Internet standard drafts in the area of energy management.  The
>          following drafts were created by the working group.
>
> I'm not fond of references in the RFCs to what the WG charter said.
> Charters change and working groups go away, but RFCs are permanent.
> Also, these are not "Internet Standard" as the IETF designates that, so
> why not avoid misunderstandings?  Also also, they will no longer be
> drafts when they're published as RFCs.  Simplifying to this should be
> good:
>
> NEW
>          The EMAN work consists of the following Standards Track and
>          Informational documents in the area of energy management:
> END
>
> On the [EMAN-AS] reference: it seems very odd for this document to have a
> reference to itself.  The list headings also aren't separated from the
> explanatory text, which makes the list read oddly.  I suggest doing it
> this way, also using the complete titles of the documents:
>
> NEW
>            "Energy Management (EMAN) Applicability Statement" (this
>            document) presents use  cases and scenarios for energy
>            management.  In addition, other  relevant energy standards
>            and architectures are discussed.
>
>            "Requirements for Energy Management" [EMAN-REQ] presents
>            requirements of energy management and the scope of the
>            devices considered.
>             
>            "Energy Management Framework" [EMAN-FRAMEWORK] defines a
>            framework  for providing energy management for devices
>            within or connected to communication networks,
>
>            [...etc...]
> END
>
> For the energy-aware MIB explanation, change "proposes" to "defines"; for
> the battery MIB explanation, change "contains" to "defines".
>
> -- Section 1.4 --
> I find it odd that "energy management" or "energy control" seem always to
> refer to a reduction in energy use.  First, is there a reason there are
> two terms?  Second, I would think that energy management involves
> adjusting the energy usage appropriately, whether that be up or down --
> turning the cooling up when necessary, as well as down when you can.  So
> I would say that energy management is desirable always... not just during
> low utilization or high demand periods.
>
> -- Section 2.1 --
> ENTITY-MIB needs to cite [RFC6933].
>
>
> .
>